// pages/corrigendum/corrigendum.ts
import { corrigendaApply, dataRecord } from "../../apis/information";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: '',
    record: {},
    content: ''
  },
  handleApply() {
    const { content, record } = this.data

    if (!content) {
      wx.showToast({
        icon: 'none',
        title: `请输入勘误内容`
      })
      return
    }

    let payload = {
      applyRemark: content,
      data: {
        ...record
      }
    }

    corrigendaApply(payload).then(res => {
      wx.showToast({
        icon: 'none',
        title: `提交勘误成功`
      })
      wx.navigateBack({
        delta: 1
      })
    })
  },
  getDataRecord(id: string | undefined) {
    dataRecord(id).then((res: any) => {
      // console.log(res);
      if (res.c === 200) {
        this.setData({
          record: res.d[0],
          // current: res.d[0]
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // this.setData({
    //   record: wx.getStorageSync('corrigendumInfo')
    // })
    this.setData({
      id: options.id
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getDataRecord(this.data.id)
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})